﻿using Syncfusion.Data;
using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;
using DataRow = System.Data.DataRow;

namespace DataGridXamarin
{
    public partial class DataGridPage : ContentPage
    {
        DataView DV;

        public DataGridPage()
        {
            InitializeComponent();
            DV = new DataView(viewModel.dt);
            dataGrid.ItemsSource = DV;
        }

        private void search_TextChanged(object sender, TextChangedEventArgs e)
        {
            var filterText = e.NewTextValue;

            if (string.IsNullOrEmpty(e.NewTextValue))
            {
                dataGrid.ItemsSource = DV;
            }
            else
            {
                var filterQuery = from order in viewModel.dt.AsEnumerable()
                                                         where order.Field<string>("Customer").ToLower().Contains(filterText.ToLower())
                                                         || order.Field<int>("OrderID").ToString().Contains(filterText.ToLower())
                                                         || order.Field<string>("ShipCity").ToLower().Contains(filterText.ToLower())
                                                         || order.Field<string>("CustomerID").ToLower().Contains(filterText.ToLower())
                            select order;

                DataView dv = new DataView(filterQuery.CopyToDataTable());
                dataGrid.ItemsSource = dv;
            }

        }
    }
}